Package org.opensaml.storage.testing

# Class StorageServiceTest.AnnotatedObject

java.lang.Object
org.opensaml.storage.testing.StorageServiceTest.AnnotatedObject

Enclosing class:
  StorageServiceTest

private class StorageServiceTest.AnnotatedObject extends Object
Annotated object class to test with.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`context`
Context.
`private Long`
`expiration`
Expiration.
`private String`
`key`
Key.
`private String`
`value`
Value.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`AnnotatedObject()`

## Method Summary

Modifier and Type
Method
Description
`void`
`generate()`
`String`
`getContext()`
`long`
`getExpiration()`
`String`
`getKey()`
`String`
`getValue()`
`void`
`setContext(String c)`
`void`
`setExpiration(long exp)`
`void`
`setKey(String k)`
`void`
`setValue(String val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### context

private String context
Context.

### key

private String key
Key.

### value

private String value
Value.

### expiration

private Long expiration
Expiration.

## Constructor Details

### AnnotatedObject

private AnnotatedObject()

## Method Details

### generate

public void generate()

### getContext

public String getContext()

### setContext

public void setContext(String c)

### getKey

public String getKey()

### setKey

public void setKey(String k)

### getValue

public String getValue()

### setValue

public void setValue(String val)

### getExpiration

public long getExpiration()

### setExpiration

public void setExpiration(long exp)